const collectionName = 'Students';
const documentId = '402778f6-bc8d-4aa5-a581-e08e3fc98c05';
domo.delete(`/domo/datastores/v2/collections/${collectionName}/documents/${documentId}`)
.then(() => console.log('deleted'));{
"status": 403,
"statusReason": "status 403 reading DocumentsResourceClient#deleteDocument(UUID,UUID)",
"toe": "2CN1RLP9LG-P8AB7-RJ4I5"
}{
"status": 404,
"statusReason": "status 404 reading DocumentsResourceClient#deleteDocument(UUID,UUID); content:{\"message\":\"Document could not be found: 0599350c-5fdc-41fc-a2ff-c56b78b1a0cf\",\"status\":404,\"statusReason\":\"Not Found\"}",
"toe": "R2VYD2M7Y0-0592G-L00S1"
}Delete Document
Permanently deletes a document from the collection. Returns an empty response body on success.
DELETE
/
domo
/
datastores
/
v2
/
collections
/
{collectionName}
/
documents
/
{documentId}
const collectionName = 'Students';
const documentId = '402778f6-bc8d-4aa5-a581-e08e3fc98c05';
domo.delete(`/domo/datastores/v2/collections/${collectionName}/documents/${documentId}`)
.then(() => console.log('deleted'));{
"status": 403,
"statusReason": "status 403 reading DocumentsResourceClient#deleteDocument(UUID,UUID)",
"toe": "2CN1RLP9LG-P8AB7-RJ4I5"
}{
"status": 404,
"statusReason": "status 404 reading DocumentsResourceClient#deleteDocument(UUID,UUID); content:{\"message\":\"Document could not be found: 0599350c-5fdc-41fc-a2ff-c56b78b1a0cf\",\"status\":404,\"statusReason\":\"Not Found\"}",
"toe": "R2VYD2M7Y0-0592G-L00S1"
}
